Bug 767823 - selinux: need to allow admin server to connect to ldap port
Summary: selinux: need to allow admin server to connect to ldap port
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.2.10
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On: 767756
Blocks: 389_1.2.10
TreeView+ depends on / blocked
 
Reported: 2011-12-14 23:12 UTC by Rich Megginson
Modified: 2015-12-10 18:45 UTC (History)
1 user (show)

Fixed In Version: 389-admin-1.1.31-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 18:45:17 UTC


Attachments (Terms of Use)
0001-Bug-767823-selinux-need-to-allow-admin-server-to-con.patch (3.42 KB, patch)
2011-12-15 20:54 UTC, Rich Megginson
nhosoi: review+
Details | Diff

Description Rich Megginson 2011-12-14 23:12:19 UTC
admin server setup needs to turn on the boolean to allow it to connect to the ldap port

Comment 1 Rich Megginson 2011-12-15 20:54:36 UTC
Created attachment 547480 [details]
0001-Bug-767823-selinux-need-to-allow-admin-server-to-con.patch

Comment 2 Rich Megginson 2011-12-15 23:24:17 UTC
To ssh://git.fedorahosted.org/git/389/admin.git
   f2e6124..3302242  master -> master
commit 3302242bde80530a4f32069ab786249f4a9a1414
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Thu Dec 15 11:59:30 2011 -0700
    Reviewed by: nhosoi (Thanks!)
    Branch: master
    Fix Description: Turn on the selinux boolean httpd_can_connect_ldap during
    setup.  Turn it off during removal.
    Platforms tested: Fedora 16
    Flag Day: no
    Doc impact: no

Comment 3 Rich Megginson 2012-01-10 20:17:55 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/236


Note You need to log in before you can comment on or make changes to this bug.